Bug 90775 - xdg-desktop-menu: Drop obsolete GNOME support
Summary: xdg-desktop-menu: Drop obsolete GNOME support
Status: NEW
Alias: None
Product: Portland
Classification: Unclassified
Component: xdg-utils (show other bugs)
Version: unspecified
Hardware: All All
: medium normal
Assignee: Portland Bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-29 19:17 UTC by Johannes Löthberg
Modified: 2018-09-16 02:23 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xdg-desktop-menu: Drop obsolete GNOME support (6.12 KB, patch)
2015-05-29 19:17 UTC, Johannes Löthberg
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Löthberg 2015-05-29 19:17:34 UTC
This commit drops the obsolete support for the GNOME-specific directory
for .desktop files, since it has not been needed since GNOME 2.10, and
since it forces the creation of ~/.gnome whether you want it or not.
Comment 1 Johannes Löthberg 2015-05-29 19:17:38 UTC
Created attachment 116158 [details] [review]
xdg-desktop-menu: Drop obsolete GNOME support
Comment 2 John Drinkwater 2016-02-22 12:01:48 UTC
Would appreciate having this patch merged, with correctly set XDG env vars and an existing usable location of $XDG_DATA_HOME/applications/ no directories ought to be made in users home.
Comment 3 Shmerl 2016-12-20 19:29:56 UTC
What about $kde_user_dir? I don't think that's needed either, since KDE uses XDG directories just fine as well.
Comment 4 Rex Dieter 2017-02-28 14:45:16 UTC
$kde_user_dir is still needed for kde4, which many enterprise distributions still ship
Comment 5 Rex Dieter 2017-02-28 14:46:19 UTC
Come to think on it, some enterprise distros still ship gnome 2 as well  :-/  (RHEL 6 for example)
Comment 6 Shmerl 2017-07-25 02:44:13 UTC
Don't those distros use older versions of the scripts anyway? So why can't it be fixed for the current one?
Comment 7 Ben Creasy 2018-08-19 02:33:10 UTC
Applied the patch (using git am to preserve author) and submitted a merge request over at https://salsa.debian.org/freedesktop-team/xdg-utils/merge_requests/1
Comment 8 Daniel Stone 2018-08-25 13:29:50 UTC
(In reply to Ben Creasy from comment #7)
> Applied the patch (using git am to preserve author) and submitted a merge
> request over at
> https://salsa.debian.org/freedesktop-team/xdg-utils/merge_requests/1

Is Debian using Salsa as its own upstream now?
Comment 9 Ben Creasy 2018-08-26 00:20:49 UTC
> Is Debian using Salsa as its own upstream now?

I'm not sure what you mean - maybe you could unpack a bit? Are you suggesting the repo I made the PR against is just a downstream Debian-specific repo? Seems a bit odd for there to be multiple xdg-utils repos, since it's a project aimed to improve consistency to begin with.

Your question led me to look at https://gitlab.freedesktop.org/ but I don't see xdg-utils there.

I don't actually use Debian on the desktop - I mainly use NixOS - but since it's an xdg thing, it pretty much hits everyone.

Anyway, if you have insights into how to push this forward, would love to help!
Comment 10 Shmerl 2018-09-16 02:23:26 UTC
Any progress on this? From the last I've heard, Oracle plan to drop Solaris altogether, so there should be little concern about supporting it. Besides, they can always use older version of the script if needed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.